Security Enhanced Linux Reference Policy

# Layer: services

## Module: avahi

Interfaces

### Description:

mDNS/DNS-SD daemon implementing Apple ZeroConf architecture.

### Interfaces:

avahi_admin( domain , role )

##### Summary

All of the rules required to administrate an avahi environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

avahi_create_pid_dirs( domain )

##### Summary

Create avahi pid directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_dbus_chat( domain )

##### Summary

Send and receive messages from avahi over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_domtrans( domain )

##### Summary

Execute avahi server in the avahi domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

avahi_dontaudit_search_pid( domain )

##### Summary

Do not audit attempts to search avahi pid directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

avahi_filetrans_pid( domain , object_class , name )

##### Summary

Create specified objects in generic pid directories with the avahi pid file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

avahi_initrc_domtrans( domain )

##### Summary

Execute avahi init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

avahi_kill( domain )

##### Summary

Send kill signals to avahi.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_manage_pid_files( domain )

##### Summary

Create, read, and write avahi pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_setattr_pid_dirs( domain )

##### Summary

Set attributes of avahi pid directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_signal( domain )

##### Summary

Send generic signals to avahi.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_signull( domain )

##### Summary

Send null signals to avahi.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_stream_connect( domain )

##### Summary

Connect to avahi using a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return